# state_bline.cpp File Reference

Template File. More...

`#include <gtkmm/dialog.h>`
`#include <gtkmm/entry.h>`
`#include <synfig/valuenode_dynamiclist.h>`
`#include "state_bline.h"`
`#include "canvasview.h"`
`#include "workarea.h"`
`#include "app.h"`
`#include <synfig/valuenode_bline.h>`
`#include <ETL/hermite>`
`#include <ETL/calculus>`
`#include <utility>`
`#include "event_mouse.h"`
`#include "event_layerclick.h"`
`#include "toolbox.h"`
`#include "dialog_tooloptions.h"`
`#include <gtkmm/spinbutton.h>`
`#include <synfig/transform.h>`
`#include <synfigapp/main.h>`
`#include "general.h"`

## Defines

#define | DISTINGUISH_FIRST_DUCK

## Detailed Description

Template File.

$Id$

## Define Documentation

#define DISTINGUISH_FIRST_DUCK